package com.bonus.canteen.core.customer.v4.dto;

import io.swagger.annotations.ApiModelProperty;

public class FaceRegisterDTO {
   @ApiModelProperty("照片base64")
   private String imageBase64;
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("特征值版本号")
   Integer faceVer;
   @ApiModelProperty("特征值服务URL")
   private String ipFaceAddr;
   @ApiModelProperty("提供服务的类别 1 -硬件 2-软件")
   private String serverType;

   public boolean ifRequestToDevice() {
      return "1".equals(this.serverType);
   }

   public String getImageBase64() {
      return this.imageBase64;
   }

   public Long getCustId() {
      return this.custId;
   }

   public Integer getFaceVer() {
      return this.faceVer;
   }

   public String getIpFaceAddr() {
      return this.ipFaceAddr;
   }

   public String getServerType() {
      return this.serverType;
   }

   public void setImageBase64(final String imageBase64) {
      this.imageBase64 = imageBase64;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setFaceVer(final Integer faceVer) {
      this.faceVer = faceVer;
   }

   public void setIpFaceAddr(final String ipFaceAddr) {
      this.ipFaceAddr = ipFaceAddr;
   }

   public void setServerType(final String serverType) {
      this.serverType = serverType;
   }

}
